linux-tools (4.4.6-1kali1) kali-dev; urgency=medium

  * Import new version from Debian

 -- Sophie Brun <sophie@freexian.com>  Tue, 03 May 2016 10:37:26 +0200

linux-tools (4.4.6-1) unstable; urgency=medium

  * New upstream stable update:
    - tools lib traceevent: Fix output of %llu for 64 bit values read on
      32 bit machines
    - perf tools: tracepoint_error() can receive e=NULL, robustify it
    - perf kvm record/report: 'unprocessable sample' error while
      recording/reporting guest data
    - tools: hv: vss: fix the write()'s argument: error -> vss_msg
    - uapi: update install list after nvme.h rename
    - perf stat: Do not clean event's private stats

  [ Mattia Dongili ]
  * Build linux-cpupower.

  [ Ben Hutchings ]
  * debian/control: Update policy version to 3.9.7; no changes required
  * linux-perf: Override lintian errors for perf-read-vdso{,x}32 in
    64-bit packages
  * debian/copyright: Move GPL-2 boilerplate to its own paragraph

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 20 Mar 2016 16:23:48 +0000

linux-tools (4.4-4) unstable; urgency=medium

  * hyperv-daemons: Only build the progarams on x86 (fixes FTBFS)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 21 Feb 2016 16:57:55 +0000

linux-tools (4.4-3) unstable; urgency=medium

  * hyperv-daemons: Add init scripts

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 21 Feb 2016 15:07:55 +0000

linux-tools (4.4-2) unstable; urgency=medium

  * linux-perf: Include version number in strace groups installation directory
    (Closes: #813080)
  * [alpha,sh4] Attempt to fix build failures
  * Build fixdep under debian/build and clean it up properly

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 19 Feb 2016 17:11:29 +0000

linux-tools (4.4-1kali1) kali-dev; urgency=medium

  * Import new release from debian

 -- Sophie Brun <sophie@freexian.com>  Thu, 18 Feb 2016 15:34:14 +0100

linux-tools (4.4-1) unstable; urgency=medium

  * Upload to unstable

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 18 Feb 2016 01:30:50 +0000

linux-tools (4.4-1~exp2) experimental; urgency=medium

  * linux-perf: Fix FTBFS with gcc 6 (used on hppa, sparc64)

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 19 Jan 2016 22:11:13 +0000

linux-tools (4.4-1~exp1) experimental; urgency=medium

  * New upstream release

  [ Ben Hutchings ]
  * linux-perf: Fix reading of build-id from vDSO
  * linux-perf: Leave -rc suffix out of version in package description
  * debian.py: Implement stable order of fields not in the predefined order
  * genorig.py: Make orig tarballs really reproducible:
    - Override umask while extracting/exporting files
    - Override user and group names in tarball

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 19 Jan 2016 00:31:02 +0000

linux-tools (4.4~rc4-1~exp1) experimental; urgency=medium

  * New upstream release candidate

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 14 Dec 2015 01:28:50 +0000

linux-tools (4.3.1-2kali1) kali-dev; urgency=medium

  * Import new release from Debian.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 05 Jan 2016 16:35:47 +0100

linux-tools (4.3.1-2) unstable; urgency=medium

  * Upload for Perl 5.22 transition (Closes: #808329)
  * debian/rules: Fix check for binNMU, broken since 4.1.4-1

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 19 Dec 2015 03:47:10 +0000

linux-tools (4.3.1-1) unstable; urgency=medium

  * New upstream stable update
    - [x86] Add #AC to SVM_EXIT_REASONS

  [ Ben Hutchings ]
  * debian/bin/genorig.py: Add more files under arch/*/include/asm to file list
    (fixes FTBFS on several architectures)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 14 Dec 2015 00:43:39 +0000

linux-tools (4.3-1) unstable; urgency=medium

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 13 Dec 2015 03:47:05 +0000

linux-tools (4.3~rc5-1~exp2) experimental; urgency=medium

  * Fix the build-indep and binary-indep targets (fixes FTBFS for arch:all)

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 14 Oct 2015 02:08:09 +0100

linux-tools (4.3~rc5-1~exp1) experimental; urgency=medium

  * New upstream release candidate
    - perf: Fix build on architectures without CONFIG_PERF_REGS

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 14 Oct 2015 00:49:38 +0100

linux-tools (4.3~rc4-1~exp1) experimental; urgency=medium

  * New upstream release candidate

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 07 Oct 2015 01:15:46 +0100

linux-tools (4.2-2kali1) kali-dev; urgency=medium

  * Import new version from debian

 -- Sophie Brun <sophie@freexian.com>  Wed, 04 Nov 2015 10:29:58 +0100

linux-tools (4.2-2) unstable; urgency=medium

  * [x32] Don't attempt to build linux-perf (fixes FTBFS)
  * [x32] Build hyperv-daemons package
  * [alpha] uapi: Add support for __SANE_USERSPACE_TYPES__(fixes FTBFS)

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 02 Oct 2015 18:41:22 +0100

linux-tools (4.2-1) unstable; urgency=medium

  * New upstream release

  [ Ben Hutchings ]
  * debian/bin,debian/control,debian/lib/python,debian/rules: Use Python 3
    - debian/lib/python: Sync with linux package
  * debian/bin/genorig.py: Make orig tarballs reproducible
  * linux-perf: Fix installation directory for bash completions
  * linux-perf: Remove shebang lines from perf scripts
  * Set compiler flags according to dpkg-buildflags
  * hyperv-daemons: Fix fortify format warning
  * debian/rules: Add support for DEB_BUILD_OPTIONS=parallel=N
  * debian/control: Update policy version to 3.9.6; no changes required
  * linux-perf: Revert "perf build: Fix libunwind feature detection on 32-bit
    x86", which was a regression for us

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 25 Sep 2015 22:55:41 +0100

linux-tools (4.2~rc7-1~exp1) experimental; urgency=medium

  * New upstream release candidate

  [ Ben Hutchings ]
  * genorig: Include more mips makefiles (fixes FTBFS)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 17 Aug 2015 10:42:08 +0200

linux-tools (4.2~rc6-1~exp1) experimental; urgency=medium

  * New upstream release candidate

  [ Ben Hutchings ]
  * Adjust for migration to git:
    - Update .gitignore files
    - debian/control: Update Vcs-* fields
    - debian/rules: Exclude .git from maintainerclean rule
  * Add packages of liblockdep (lockdep, liblockdep<version>, liblockdep-dev)

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 14 Aug 2015 14:58:57 +0200

linux-tools (4.1.4-2kali1) kali-dev; urgency=medium

  * Import new version from debian

 -- Sophie Brun <sophie@freexian.com>  Tue, 08 Sep 2015 11:24:46 +0200

linux-tools (4.1.4-2) unstable; urgency=medium

  * [mips*,alpha,hppa] linux-perf: Add empty Build files for these architectures
    (fixes FTBFS)

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 04 Aug 2015 17:11:46 +0100

linux-tools (4.1.4-1) unstable; urgency=medium

  * New upstream stable update:
    http://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.1.4
    - perf bench numa: Fix to show proper convergence stats

  [ Ben Hutchings ]
  * linux-tools: Set $KBUILD_BUILD_TIMESTAMP from changelog and use it as man
    page date
  * hyperv-daemons: Only attempt to build package on i386, amd64
    (fixes FTBFS on other architectures)
  * linux-tools: Rename to linux-perf-<version>, since other tools are
    in other binary packages

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 04 Aug 2015 00:47:58 +0100

linux-tools (4.1.2-1~exp1) experimental; urgency=medium

  * New upstream release

  [ Bastian Blank ]
  * Add hyperv-daemons package, thanks to Hideki Yamane (closes: #782761)

  [ Ben Hutchings ]
  * hyperv-daemons: Rewrite description

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 13 Jul 2015 01:33:27 +0100

linux-tools (4.0.2-1kali1) kali-dev; urgency=medium

  * Import new version from debian

 -- Sophie Brun <sophie@freexian.com>  Fri, 29 May 2015 15:44:14 +0200

linux-tools (4.0.2-1) unstable; urgency=medium

  * New upstream release
  * Thanks to Luca Boccassi and Lukas Wunner for some hints on upgrading
    to 4.0 (Closes: #778588)
  * debian/control: Add gcc-multilib to Build-Depends in order to build
    perf-read-vdso{,x}32
  * linux-tools: Install perf-read-vdso{,x}32 in versioned directory
    under /usr/lib
  * linux-tools: Set ARCH=x86 when building perf for amd64, i386 or x32
  * linux-kbuild: Include Makefile.kasan (Closes: #783681)
  * linux-kbuild: Enable Large File Support (Closes: #778942)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 11 May 2015 03:53:12 +0100

linux-tools (3.18.5-1~exp1) experimental; urgency=medium

  * New upstream release
  * linux-tools: Fix build configuration to avoid linking perf with libbfd
    (Closes: #763002)
  * linux-tools: Add a check that perf is not linked with libbfd
  * [arm64] Enable building linux-tools, thanks to Steve Capper
    (Closes: #771340)
  * [armel,armhf] linux-tools: Enable use of libunwind
  * [hppa,sparc] linux-tools: Enable use of libnuma
  * [mips*,powerpcspe,x32] Enable building linux-tools

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 01 Feb 2015 02:53:07 +0100

linux-tools (3.18.3-0kali2) kali-dev; urgency=medium

  * Rebuild linux-tools in kali-dev.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 05 Feb 2015 16:05:57 +0100

linux-tools (3.17-1~exp1) experimental; urgency=medium

  * New upstream release
    - usbip userspace moved to tools/usb/usbip

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 17 Oct 2014 14:58:51 +0200

linux-tools (3.16-3) unstable; urgency=medium

  * linux-tools: Fix build configuration to avoid linking perf with libbfd
    (Closes: #763002)
  * linux-tools: Add a check that perf is not linked with libbfd
  * [arm64] Enable building linux-tools, thanks to Steve Capper
    (Closes: #771340)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 02 Feb 2015 22:05:59 +0000

linux-tools (3.16-2kali1) kali-dev; urgency=medium

  * Import into kali

 -- Sophie Brun <sophie@freexian.com>  Thu, 04 Dec 2014 10:20:33 +0100

linux-tools (3.16-2) unstable; urgency=medium

  * linux-kbuild: Change the type headers used for devicetable-offsets.c
    to avoid depending on UAPI headers or <linux/types.h>.  This really
    closes: #754213.  It also fixes modpost handling of input device IDs
    when host and target have differing word size.

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 09 Sep 2014 13:21:05 +0100

linux-tools (3.16-1) unstable; urgency=medium

  * New upstream release

  [ Mauricio Faria de Oliveira ]
  * [ppc64el] Build linux-tools binary package (Closes: #754213)

  [ Ben Hutchings ]
  * linux-kbuild: Build and install recordmcount and recordmcount.pl,
    needed for kernels with DYNAMIC_FTRACE enabled
  * linux-kbuild: Fix recordmcount dependency for OOT modules

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 08 Sep 2014 18:45:06 +0100

linux-tools (3.16~rc7-1~exp1) experimental; urgency=medium

  * New upstream release candidate

  [ Ben Hutchings ]
  * genorig: Include new directory for usbip UAPI header
  * debian/control: Update Build-Depends for usbip switching from
    libsysfs to libudev
  * perf: Build with V=1 as V=2 no longer works
  * perf: Change build command to avoid a rebuild during 'make install'
  * linux-tools: Install traceevent plugins in
    /usr/lib/traceevent_<version>/plugins (Closes: #756429)
  * linux-kbuild: Install scripts/Makefile.extrawarn

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 29 Jul 2014 21:11:10 +0100

linux-tools (3.14-1kali3) kali-dev; urgency=medium

  * Rebuild with perl 5.20.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 03 Sep 2014 13:50:07 +0200

linux-tools (3.14-1kali2) kali-dev; urgency=medium

  * Resync with Debian because kali-dev is now based on Jessie.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 30 Jul 2014 15:41:23 +0200

linux-tools (3.14-1kali1) kali-dev; urgency=medium

  * Import into Kali.
  * Fix Build-Depends to list libunwind7-dev instead of libunwind8-dev.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 14 May 2014 17:12:36 +0200

linux-tools (3.14-1) unstable; urgency=medium

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 28 Apr 2014 17:46:24 +0100

linux-tools (3.14~rc7-1~exp1) experimental; urgency=medium

  * New upstream release candidate

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 17 Mar 2014 19:31:14 +0000

linux-tools (3.13.6-1) unstable; urgency=medium

  * New upstream stable update:
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.13.5
    - Modpost: fixed USB alias generation for ranges including 0x9 and 0xA
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.13.6
    - perf trace: Fix ioctl 'request' beautifier build problems on
      !(i386 || x86_64) arches

  [ Ben Hutchings ]
  * linux-tools: Remove the 'trace_3.13' link to perf
  * Clean another autoconf-generated file so double-builds work

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 19 Mar 2014 22:33:21 +0000

linux-tools (3.13.4-1) unstable; urgency=medium

  * New upstream stable update:
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.13.2
    - perf kvm: Fix kvm report without guestmount.

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 22 Feb 2014 15:39:27 +0000

linux-tools (3.13-1~exp3) experimental; urgency=medium

  * linux-tools: Fix/revert unportable code in perf trace (fixes FTBFS
    on powerpc, sparc)

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 07 Feb 2014 20:36:29 +0000

linux-tools (3.13-1~exp2) experimental; urgency=medium

  * Merge changes from sid up to 3.12.6-3

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 02 Feb 2014 16:57:49 +0100

linux-tools (3.13-1~exp1) experimental; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 02 Feb 2014 12:02:29 +0100

linux-tools (3.12.6-3) unstable; urgency=medium

  * linux-tools: Explicitly enable/disable libunwind usage for all
    architectures (fixes FTBFS on s390x and sparc)
  * linux-tools: Only use libunwind on x86, as perf needs additional
    porting work for other architectures (fixes FTBFS on arm and powerpc)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 02 Feb 2014 16:46:44 +0100

linux-tools (3.12.6-2) unstable; urgency=medium

  * linux-tools: Replace build-dependency on libunwind7-dev with
    libunwind8-dev

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 02 Feb 2014 11:51:18 +0100

linux-tools (3.12.6-1kali1) kali; urgency=medium

  * Merge into Kali.
  * Stop using linux-tools-kali source package in favor of a regular fork
    of linux-tools.
  * Invert the order of the libiberty-dev | binutils-dev build dep so that
    it's buildable on Kali.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 06 Jan 2014 16:05:48 +0100

linux-tools (3.12.6-1) unstable; urgency=medium

  * New upstream stable update
    - perf tools: Remove cast of non-variadic function to variadic
    - perf tools: Synthesize anon MMAP records again

  [ Ben Hutchings ]
  * linux-tools: Replace build-dependency on binutils-dev with
    libiberty-dev (or old binutils-dev, for ease of backporting)
    (Closes: #730883)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 30 Nov 2013 23:48:32 +0000

linux-tools-kali (3.12-1~kali1) kali-dev; urgency=medium

  * Merge into Kali.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 19 Dec 2013 11:36:12 +0100

linux-tools (3.12-1~exp1) experimental; urgency=low

  * New upstream release (Closes: #729197)
  * [x86, powerpc, ppc64] linux-tools: Build perf with libnuma

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 18 Nov 2013 05:14:34 +0000

linux-tools (3.11-3) unstable; urgency=low

  * linux-tools: Replace build-dependency on libunwind8-dev with
    libunwind7-dev, as the new libunwind will not enter testing soon

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 29 Oct 2013 02:12:36 +0000

linux-tools (3.11-2) unstable; urgency=low

  * linux-tools: Limit build-dependency on libunwind8-dev to architectures
    where it is available and needed

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 27 Oct 2013 18:01:37 +0000

linux-tools (3.11-1) unstable; urgency=low

  * New upstream release
  * linux-tools: Build perf with libaudit and libunwind

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 19 Oct 2013 02:38:59 +0100

linux-tools (3.11~rc4-1~exp1) experimental; urgency=low

  * New upstream release candidate

  [ Ben Hutchings ]
  * linux-tools: Build perf documentation out-of-tree, as this now works
    and our previous workaround does not

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 08 Aug 2013 16:21:00 +0200

linux-tools-kali (3.10-4kali1) kali-dev; urgency=low

  * Merge into Kali.

 -- Raphaël Hertzog <buxy@kali.org>  Mon, 14 Oct 2013 08:38:58 +0200

linux-tools (3.10-4) unstable; urgency=low

  * Sourceful upload for the perl 5.18 transition
  * usbip: Fix package version override to be binNMU-safe

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 30 Aug 2013 12:44:56 +0100

linux-tools (3.10-3) unstable; urgency=low

  * linux-kbuild: Fix no-modules case in modpost wrapper (Closes: #719129)

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 08 Aug 2013 21:49:02 +0200

linux-tools (3.10-2) unstable; urgency=low

  * linux-kbuild: Fix use of getline() in modpost wrapper (Closes: #717195)

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 18 Jul 2013 04:02:11 +0100

linux-tools (3.10-1) unstable; urgency=low

  * New upstream release

  [ Chris Boot ]
  * Update modpost-symbol-prefix.patch for 3.10

  [ Ben Hutchings ]
  * debian/patches: Add DEP-3 headers (From, Subject, Forwarded) to all patches
  * debian/copyright: Convert to machine-readable format (fka DEP-5)
  * debian/copyright: Add explanation of indirect linking of perf to OpenSSL
  * debian/rules.real: Remove support for pre-multiarch dpkg
  * Update policy version to 3.9.4
    - debian/rules: Implement build-arch and build-indep targets
  * linux-kbuild: Update modpost wrapper for 3.10
    - Implement the -T option

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 16 Jul 2013 13:29:22 +0100

linux-tools (3.9.4-1) unstable; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 03 Jun 2013 13:45:52 +0100

linux-tools (3.8.11-1) unstable; urgency=low

  * New upstream stable update

  [ Ben Hutchings ]
  * Upload to unstable (Closes: #707023)

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 07 May 2013 02:11:16 +0100

linux-tools (3.8.2-1~experimental.1) experimental; urgency=low

  * New upstream release (Closes: #702450)

  [ Ben Hutchings ]
  * linux-tools: Install bash_completion script for perf with a version-
    dependent name (Closes: #701790)

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 07 Mar 2013 05:32:40 +0000

linux-tools-kali (3.7.1-1~experimental.1+kali2) kali; urgency=low

  * Rename source package to linux-tools-kali to keep the other package
    around.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 11 Jan 2013 23:08:11 +0100

linux-tools (3.7.1-1~experimental.1+kali1) kali; urgency=low

  * Rebuild for kali.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 11 Jan 2013 13:59:10 +0100

linux-tools (3.7.1-1~experimental.1) experimental; urgency=low

  * New upstream release

  [ Ben Hutchings ]
  * [amd64] linux-tools: Enable optimisations and special-casing of x86_64
    (Closes: #694759)

  [ Uwe Kleine-König ]
  * linux-kbuild: debian/control: Use Section: kernel (Closes: #545017)

 -- Jonathan Nieder <jrnieder@gmail.com>  Fri, 28 Dec 2012 09:29:53 -0800

linux-tools (3.6-1~experimental.1) experimental; urgency=low

  * New upstream release (Closes: #690011)

  [ Ben Hutchings ]
  * genorig: Accept xz-compressed upstream tarballs and patches, and
    generate an xz-compressed orig tarball, thanks to Sedat Dilek
  * source: Enable xz-compression for debian directory tarball

  [ Jonathan Nieder ]
  * Add myself to uploaders list.

 -- Jonathan Nieder <jrnieder@gmail.com>  Sat, 24 Nov 2012 13:40:28 -0800

linux-tools (3.5-1~experimental.1) experimental; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 20 Aug 2012 00:57:12 +0100

linux-tools (3.4-1~experimental.1) experimental; urgency=low

  * New upstream release
  * Build-Depend on bison and flex, now required to build perf
  * Fix version insertion in perf man pages

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 09 Jun 2012 20:51:12 +0100

linux-tools (3.3-1~experimental.1) experimental; urgency=low

  * New upstream release candidate
  * linux-kbuild: debian/control: Set Multi-Arch: foreign
  * linux-tools: Build perf on alpha and hppa (Closes: #664834)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 24 Mar 2012 23:15:59 +0000

linux-tools (3.2.17-1) unstable; urgency=low

  * New upstream stable updates:
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.15
    - modpost: fix ALL_INIT_DATA_SECTIONS
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.16
    - perf hists: Catch and handle out-of-date hist entry maps.
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.17
    - Perf: fix build breakage

  * Fix version insertion in perf man pages
  * Build usbip userland packages (Closes: #568362)
    - Do not build a shared library package; the API and ABI have changed
      from libusbip0 but there has been no upstream soversion change
  * usbipd: Enable TCP wrappers for access control

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 24 Jun 2012 02:52:26 +0100

linux-tools (3.2.7-2) unstable; urgency=high

  * Apply upstream changes to fix various buffer overflow bugs:
    - perf tools: Use scnprintf where applicable
    - perf tools: Incorrect use of snprintf results in SEGV

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 20 Mar 2012 04:54:22 +0000

linux-tools (3.2.7-1) unstable; urgency=low

  * New upstream stable update:
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.7
    - perf tools: Fix perf stack to non executable on x86_64
    - perf evsel: Fix an issue where perf report fails to show the proper
      percentage

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 05 Mar 2012 00:19:02 +0000

linux-tools (3.2.1-2) unstable; urgency=low

  * Add Vcs-{Svn,Browser} fields
  * Reduce minimum version of linux-base to 3.4~ to support backports

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 24 Jan 2012 04:26:24 +0000

linux-tools (3.2.1-1) unstable; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 19 Jan 2012 04:17:19 +0000

linux-tools (3.2~rc4-1~experimental.1) experimental; urgency=low

  * New upstream release candidate

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 07 Dec 2011 01:53:15 +0000

linux-tools (3.1.1-3) unstable; urgency=low

  * Fix s390x support.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 18 Dec 2011 19:32:12 +0100

linux-tools (3.1.1-2) unstable; urgency=low

  * Change the check for stale debian/control to tolerate binNMUs
    (Closes: #649005)
  * Rebuild with perl 5.14 (Closes: #649006)

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 17 Nov 2011 03:18:03 +0000

linux-tools (3.1.1-1) unstable; urgency=low

  * New upstream release

  [ Bastian Blank ]
  * Rename to linux-tools.
  * Use 3.0 (quilt) source format.
  * Properly patch modpost symbol prefix setting.
  * Build linux-tools binary package.

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 14 Nov 2011 04:57:47 +0000

linux-kbuild-2.6 (3.0.0-2) unstable; urgency=low

  * Include new script depmod.sh (Closes: #635539)

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 29 Jul 2011 01:00:20 +0200

linux-kbuild-2.6 (3.0.0-1) unstable; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 24 Jul 2011 15:38:35 +0200

linux-kbuild-2.6 (3.0.0~rc5-1~experimental.1) experimental; urgency=low

  * New upstream release candidate

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 29 Jun 2011 02:32:31 +0100

linux-kbuild-2.6 (3.0.0~rc1-1~experimental.1) experimental; urgency=low

  * New upstream release candidate
  * Remove docproc, no longer required for module builds

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 01 Jun 2011 10:21:01 +0100

linux-kbuild-2.6 (2.6.39-1) unstable; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 20 May 2011 04:53:57 +0100

linux-kbuild-2.6 (2.6.38-1) unstable; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 16 Mar 2011 13:45:58 +0000

linux-kbuild-2.6 (2.6.37-1) unstable; urgency=low

  * Upload to unstable

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 15 Feb 2011 14:15:36 +0000

linux-kbuild-2.6 (2.6.37-1~experimental.1) experimental; urgency=low

  * New upstream version
  * Include new script gcc-goto.sh

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 16 Jan 2011 15:14:34 +0000

linux-kbuild-2.6 (2.6.36-1~experimental.1) experimental; urgency=low

  * New upstream version

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 15 Nov 2010 00:20:33 +0000

linux-kbuild-2.6 (2.6.35-1~experimental.1) experimental; urgency=low

  * New upstream version
  * Update policy version to 3.9.1; no changes required
  * Fix minor issues reported by lintian:
    - Add ${misc:Depends} to dependencies
    - Add debian/source/format file
    - Remove redundant priority and section fields

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 08 Aug 2010 22:31:47 +0100

linux-kbuild-2.6 (2.6.34-1~experimental.1) experimental; urgency=low

  * New upstream version

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 20 May 2010 01:19:43 +0100

linux-kbuild-2.6 (2.6.32-1) unstable; urgency=low

  [ Ben Hutchings ]
  * New upstream version. (closes: #560090)
  * Include new script module-common.lds, thanks to Zoran Dzelajlija.

  [ Bastian Blank ]
  * Move contents of linux-kbuild package to /usr/lib.

 -- Bastian Blank <waldi@debian.org>  Fri, 11 Dec 2009 16:16:12 +0100

linux-kbuild-2.6 (2.6.31.2-1) unstable; urgency=low

  * Upload to unstable.

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 25 Oct 2009 18:38:44 +0000

linux-kbuild-2.6 (2.6.31.2-1~experimental.1) experimental; urgency=low

  [ Bastian Blank ]
  * New upstream version.

  [ Ben Hutchings ]
  * Include new script gcc-x86_32-has-stack-protector.sh.
  * Add myself to Uploaders.
  * New upstream version (2.6.31.2).

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 17 Oct 2009 23:05:27 +0100

linux-kbuild-2.6 (2.6.30-1) unstable; urgency=low

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Wed, 17 Jun 2009 16:49:57 +0200

linux-kbuild-2.6 (2.6.29-1) unstable; urgency=low

  * New upstream version. 
  * Autogenerate list of supported options in modpost. (closes: #518961)
    - Build-depend against python.
  * Use debhelper compat level 7.

 -- Bastian Blank <waldi@debian.org>  Thu, 26 Mar 2009 12:54:47 +0100

linux-kbuild-2.6 (2.6.28-1) unstable; urgency=low

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Sun, 22 Feb 2009 13:45:39 +0100

linux-kbuild-2.6 (2.6.26-3) unstable; urgency=low

  * Fix recursive installation. (closes: #494435)

 -- Bastian Blank <waldi@debian.org>  Sun, 10 Aug 2008 13:01:41 +0200

linux-kbuild-2.6 (2.6.26-2) unstable; urgency=low

  * Include new scripts. (closes: #494435)

 -- Bastian Blank <waldi@debian.org>  Sat, 09 Aug 2008 20:45:12 +0200

linux-kbuild-2.6 (2.6.26-1) unstable; urgency=low

  * New upstream version.
  * modpost: Support new parameters.

 -- Bastian Blank <waldi@debian.org>  Sat, 02 Aug 2008 13:09:54 +0200

linux-kbuild-2.6 (2.6.25-2) unstable; urgency=low

  * modpost: Support new parameters. (closes: #479271)

 -- Bastian Blank <waldi@debian.org>  Mon, 05 May 2008 19:58:40 +0200

linux-kbuild-2.6 (2.6.25-1) unstable; urgency=low

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Fri, 02 May 2008 10:32:13 +0200

linux-kbuild-2.6 (2.6.24-1) unstable; urgency=low

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Tue, 29 Jan 2008 14:03:06 +0100

linux-kbuild-2.6 (2.6.23-1) unstable; urgency=low

  * New upstream version.
  * modpost: Support -s.

 -- Bastian Blank <waldi@debian.org>  Wed, 05 Dec 2007 08:23:28 +0100

linux-kbuild-2.6 (2.6.22-1) unstable; urgency=low

  * New upstream version.
  * Don't fail if no module is specified.

 -- Bastian Blank <waldi@debian.org>  Tue, 17 Jul 2007 23:14:23 +0200

linux-kbuild-2.6 (2.6.21-1) unstable; urgency=low

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Fri, 18 May 2007 23:45:14 +0200

linux-kbuild-2.6 (2.6.20-1) unstable; urgency=low

  * New upstream version.
  * modpost: Support -w.

 -- Bastian Blank <waldi@debian.org>  Thu, 12 Apr 2007 06:53:00 +0200

linux-kbuild-2.6 (2.6.18-1) unstable; urgency=low

  * New upstream version.
  * Use included headers. (closes: #382286, #384211)

 -- Bastian Blank <waldi@debian.org>  Mon, 25 Sep 2006 21:45:50 +0200

linux-kbuild-2.6 (2.6.17-3) unstable; urgency=low

  * Replace own modpost with original one.

 -- Bastian Blank <waldi@debian.org>  Tue,  1 Aug 2006 11:01:18 +0200

linux-kbuild-2.6 (2.6.17-2) unstable; urgency=low

  * Fix uninitialied variable. (closes: #377656)

 -- Bastian Blank <waldi@debian.org>  Tue, 11 Jul 2006 10:10:24 +0200

linux-kbuild-2.6 (2.6.17-1) unstable; urgency=low

  * Initial release. (closes: #368544)

 -- Bastian Blank <waldi@debian.org>  Sat,  1 Jul 2006 19:10:07 +0200
